group "CreditCurveCharacteristics.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 8 elements
Defined: | globally in fpml-mktenv-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
(referenceEntity? | creditEntityReference?), creditEvents?, seniority?, secured?, obligationCurrency?, obligations?, deliverableObligations?

Content Model Elements (8):

  creditEntityReference, creditEvents (in creditCurve), deliverableObligations (in creditCurve), obligationCurrency, | obligations (in creditCurve), referenceEntity (defined in CreditEntity.model group), secured, seniority (in creditCurve)

Known Usage Locations

- In definitions of global complexTypes (1):
  CreditCurve

Annotation
The set of characterstics that describe the outputs of a credit curve.
XML Source (w/o annotations (7); see within schema source)

<xsd:group name="CreditCurveCharacteristics.model"> <xsd:sequence> <xsd:group ref="CreditEntity.model"/> <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/> <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"/> <xsd:element minOccurs="0" name="secured" type="xsd:boolean"/> <xsd:element minOccurs="0" name="obligationCurrency" type="Currency"/> <xsd:element minOccurs="0" name="obligations" type="Obligations"/> <xsd:element minOccurs="0" name="deliverableObligations" type="DeliverableObligations"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/8)
creditEvents

  Type: | CreditEvents, complex content

  The material credit event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/>

deliverableObligations

  Type: | DeliverableObligations, complex content

  What sort of obligation may be delivered in the event of the credit event. ISDA 2003 Term: Obligation Category/Deliverable Obligation Category
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliverableObligations" type="DeliverableObligations"/>

obligationCurrency

  Type: | Currency, simple content

  The currency of denomination of the deliverable obligation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="obligationCurrency" type="Currency"/>

obligations

  Type: | Obligations, complex content

  The underlying obligations of the reference entity on which you are buying or selling protection
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="obligations" type="Obligations"/>

secured

  Type: | xsd:boolean, predefined, simple content

  Whether the deliverable obligation is secured or unsecured.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="secured" type="xsd:boolean"/>

seniority

  Type: | CreditSeniority, simple content

  The level of seniority of the deliverable obligation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.